Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2006-2866

Overview

Vulnerability Score 5.1 5.1
CVE Id CVE-2006-2866
Last Modified 07 Mar 2011 09:37:09
Published 06 Jun 2006 04:06:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity HIGH
Authentication NONE

CVE-2006-2866

Summary

PHP remote file inclusion vulnerability in layout/prepend.php in DotClear 1.2.4 and earlier allows remote attackers to execute arbitrary PHP code via a FTP URL in the blog_dc_path parameter, which passes file_exists() and is_dir() tests on PHP 5.

Vulnerable Systems

Application

  • Dotclear 1.2.1

  • Dotclear 1.2.2

  • Dotclear 1.2.3

  • Dotclear 1.2.4


References

VUPEN - ADV-2006-2137

BID - 18259

BUGTRAQ - 20060603 DotClear <= 1.2.4 'blog_dc_path' (php5) arbitrary remote inclusion

SECUNIA - 20437

MISC - http://retrogod.altervista.org/dotclear_124_php5_xpl.html

XF - dotclear-blogdcpath-file-include(26917)

SREASON - 1053


Last Updated: 27 May 2016 10:42:48